Cyberduck Mountain Duck CLI

#6691 closed enhancement (wontfix)

Add "charset" to Content-Type header when uploading HTML files to S3

Reported by: David (3) Owned by: dkocher
Priority: low Milestone:
Component: s3 Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

There should be a way for a user to indicate to Cyberduck that all HTML files uploaded to S3 should have a certain character set (most likely utf-8) applied to them. This should set the Content-Type header of the uploaded file to "text/html; charset=utf-8" rather than the normal "text/html". Ideally, the character set should be auto-detected, but in practice that is difficult to do reliably.

Change History (4)

comment:1 Changed on Jun 1, 2012 at 3:34:25 PM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher

comment:2 Changed on Oct 10, 2012 at 2:32:41 PM by dkocher

  • Priority changed from normal to low
  • Type changed from defect to enhancement

comment:3 Changed on Sep 11, 2013 at 2:15:49 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

comment:4 Changed on Mar 2, 2015 at 12:06:46 PM by dkocher

Duplicate for #5364.

Note: See TracTickets for help on using tickets.
swiss made software